//
//  DXAspectController.h
//  DiceX
//
//  Created by Andrew Merenbach on 6/23/07.
//  Copyright 2007 Andrew Merenbach. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *AMDoubleSpace;


@interface DXAspectController : NSObject {
	IBOutlet NSView *view;
}

//+ (id)controller;
- (id) initWithNibName:(NSString *)nibName;
- (void)dealloc;

- (NSView *)view;

- (NSString *)label;
- (NSString *)identifier;

- (void)loadValuesFromDefaults;
- (void)saveValuesToDefaults;

- (void)setNilValueForKey:(NSString *)key;

- (NSString *)summary;

@end
