//
//  DXDieNode.h
//  DiceX
//
//  Created by Andrew Merenbach on 30/12/06.
//  Copyright 2006 Andrew Merenbach. All rights reserved.
//

#import <CoreData/CoreData.h>


@interface DXDieNode :  NSManagedObject  
{
}

- (NSNumber *)bonusModifier;
- (void)setBonusModifier:(NSNumber *)value;

- (NSNumber *)penaltyModifier;
- (void)setPenaltyModifier:(NSNumber *)value;

- (NSNumber *)multiplierModifier;
- (void)setMultiplierModifier:(NSNumber *)value;

- (NSNumber *)numberOfDicePerRoll;
- (void)setNumberOfDicePerRoll:(NSNumber *)value;

- (NSString *)rollValue;
- (void)setRollValue:(NSString *)value;

- (NSNumber *)numberOfSidesPerDie;
- (void)setNumberOfSidesPerDie:(NSNumber *)value;

- (NSNumber *)total;
- (void)setTotal:(NSNumber *)value;

- (NSNumber *)percentage;
- (void)setPercentage:(NSNumber *)value;

- (NSNumber *)isIncluded;
- (void)setIsIncluded:(NSNumber *)value;

- (NSNumber *)isPercentileRoll;
- (void)setIsPercentileRoll:(NSNumber *)value;

- (NSNumber *)orderHint;
- (void)setOrderHint:(NSNumber *)value;

// Access to-many relationship via -[NSObject mutableSetValueForKey:]
- (void)addChildrenObject:(DXDieNode *)value;
- (void)removeChildrenObject:(DXDieNode *)value;

- (DXDieNode *)parent;
- (void)setParent:(DXDieNode *)value;

@end
